unit Unit1;

interface

uses

  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
 Db, DBTables, TextData, slimjim;

type
  TWebModule = class(TDataModule)
    DataSource1: TDataSource;
    CGI1: TCGI;
    TextDataSet1: TTextDataSet;
    TextDataSet1Line: TStringField;
    procedure WebModuleCreate(Sender: TObject);
    procedure CGI1Call(Sender: TObject; Path: String; Method: TMethodType;
      Content_In, Content_Out: TStringList);
    procedure CGI1HTMLTag(Sender: TObject; const TagString: String;
      TagParams: TStringList; var ReplaceText: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule: TWebModule;

implementation

{$R *.DFM}

procedure TWebModule.WebModuleCreate(Sender: TObject);
begin
 CGI1.Init;
end;

procedure TWebModule.CGI1Call(Sender: TObject; Path: String;
  Method: TMethodType; Content_In, Content_Out: TStringList);
var
str: string;
idx: integer;
BookNames: TStringList;
begin

 if Content_In.IndexOfName('index') <> -1 then idx := strtoint(Content_In.Values['index'])
 else idx:= 53;

 if Content_In.IndexOfName('book') <> -1 then
 begin
  str:= Content_In.Values['book'];
  TextDataSet1.FileName := extractFilePath(Application.ExeName) + '\' + Content_In.Values['book'] + '.txt'
 end
 else
 begin
  TextDataSet1.FileName := extractFilePath(Application.ExeName) + '\Revelation.txt';
  str:= 'Revelation';
 end;
 TextDataSet1.Active:= true;

 Content_Out.Clear;
 Content_Out.Add ('<title> Were information is KING!!! </title>');
 Content_Out.Add ('<HTML>');
 Content_Out.Add ('<!--kenny-->');
 Content_Out.Add ('<!--Dwayne-->');
 Content_Out.Add ('<BODY>');
 Content_Out.Add ('<SCRIPT language=VBScript>');
 Content_Out.Add ('Dim Robby');
 Content_Out.Add ('');
 Content_Out.Add ('');
 Content_Out.Add ('Sub window_OnLoad');
 Content_Out.Add ('AgentControl.Connected = True');
 Content_Out.Add ('AgentControl.Characters.Load "Robby", "<!--Lee-->"');
 Content_Out.Add ('Set Robby = AgentControl.Characters("Robby")');
 Content_Out.Add ('Robby.LanguageID = &H0409');
 Content_Out.Add ('Robby.Get "State", "Showing, Speaking"');
 Content_Out.Add ('Robby.Show');
 Content_Out.Add ('Robby.Get "State", "Hiding"');
 Content_Out.Add ('Robby.Speak "<!--TextDataSet1Line-->"');
 Content_Out.Add ('Robby.Hide');
 Content_Out.Add ('End Sub');
 Content_Out.Add ('');
 Content_Out.Add ('</SCRIPT>');
 Content_Out.Add ('<p><a href="?book=' + str + '&index=' + inttostr(idx-1) + '">Prefixing </a>');
 TextDataSet1.RecNo := idx;
 Content_Out.Add ('<!--TextDataSet1Line-->');
 Content_Out.Add ('<a href="?book=' + str + '&index=' + inttostr(idx+1) + '"> Suffixing</a></p>');
 Content_Out.Add ('');

 BookNames:= TStringList.Create;
 BookNames.LoadFromFile(extractFilePath(Application.ExeName) + '\digest.idx');
 for idx := 0 to BookNames.Count -1 do
 Content_Out.Add ('<a href="?book=' + BookNames.Strings[idx] + '&index=1">' + BookNames.Strings[idx] + '</a>');
 BookNames.Destroy;
// lines for debugging
// for idx := 0 to Content_In.Count -1 do
// Content_Out.Add ('<BR>'+Content_In.Strings[idx]);
 Content_Out.Add ('<BR><BR><BR>video game anyone?');
 Content_Out.Add ('<BR>yes, he is headed for the getto of the information age.<BR><BR><BR> send dword or donations via paypal <BR><a href="mailto:undeadkennyd@yahoo.ca">Tabboo, The Law by design</a>');
 Content_Out.Add ('</BODY>');
 Content_Out.Add ('</HTML>');
end;

procedure TWebModule.CGI1HTMLTag(Sender: TObject; const TagString: String;
  TagParams: TStringList; var ReplaceText: String);
begin
if TagString = 'kenny' then ReplaceText:= ' <OBJECT ID="AgentControl" width=0 height=0 CLASSID="CLSID:D45FD31B-5C6E-11D1-9EC1-00C04FD7081F" CODEBASE="#VERSION=2,0,0,0"></OBJECT>';
if TagString = 'Dwayne' then ReplaceText:= '<OBJECT ID="TruVoice" width=0 height=0 CLASSID="CLSID:B8F2846E-CE36-11D0-AC83-00C04FD97575" CODEBASE="#VERSION=6,0,0,0"></OBJECT>';
if TagString = 'Lee' then ReplaceText:= 'http://agent.microsoft.com/agent2/chars/robby/robby.acf';
end;

end.







